Skip to Content
Technical Articles
Author's profile photo Zeshan Shafqat

How can you install Eclipse and HANA Tools for ABAP CDS Views, HANA Modeling, and BW4/HANA Modeling

Hello SAP Community Members,

My Name is Zeshan Shafaqat Expert in SAP BI/BW and SAP Analytics Cloud.

I found many peoples that having trouble that how can we install Eclipse and HANA Tools on their PC.

In this Blog, I show you screenshots of how can you install Eclipse and HANA Tools on your PC.

Let’s Begin opening your Browser and Follow the Steps that I write Blow.

Step 1: Go to Hana on-demand tools click on the link to open

Link: SAP Development Tools (ondemand.com)

check the eclipse version that supports ABAP Development Tools (ADT), BW Modeling Tools and Other HANA Tools Link HANA STUDIO or HANA MODELING.

We%20use%20Eclipse%20Enterprise%20version%202022-06We use Eclipse Enterprise version 2022-06

 

Step 2:  Open the Eclipse website and choose Eclipse IDE for Enterprise Java and Web Developers version 2022-06 for SAP ABAP DEVELOPMENT and HANA Tools.

Link: 2022-06 R | Eclipse Packages

Download%20and%20Extract%20Eclipse%20IDE%20for%20Enterprise%20Java%20and%20Web%20Developers

Download and Extract Eclipse IDE for Enterprise Java and Web Developers

 

Step 3: Open Your Eclipse and go to the help tab and select Install New Software.

 

 

Step 4: Open Hana On demand Tool Copy your version link and paste it into your eclipse new software installation.

 

Select%20Your%20Desire%20Software%20you%20want%20to%20install%20in%20your%20Eclipse

Select Your Desire Software you want to install in your Eclipse

Click on next and install your HANA Software on eclipse

 

Conclusion

After installing this you were able to create CDS Views, BW4/Hana Modeling, HANA Views, and ABAP on the cloud.

 

If you need further help attaching your Development system with Eclips then feel free to contact me.

Assigned Tags

      4 Comments
      You must be Logged on to comment or reply to a post.
      Author's profile photo Frank Riesner
      Frank Riesner

      Hi Zeshan,
      thanks for your blog post, which covers a topic which really causes many questions for our customers. I think there are two items worth mentioning in addition:

      1. Make sure you use an up-to-date version of the BW Modeling Tools (and ABAP Dev Tools).
        The versions and their maintenance are clearly document in SAP note 1944835: SAP BW Modeling Tools - Delivery Schedule
      2. It is also an option to install SAP HANA Studio instead of Eclipse. HANA Studio can be found on the SAP Marketplace for download. There is also a note which tells you which versions is at least required depending on the SAP HANA DB release: 2375176 - SAP HANA Revisions and SAP HANA Studio Versions

      Regards - Frank

      Author's profile photo Zeshan Shafqat
      Zeshan Shafqat
      Blog Post Author

      Thank You Frank for giving a new idea about Hana STUDIO tool instead of eclipse. It's really great 👍.

      Author's profile photo Former Member
      Former Member

      Good Job Zeeshan bro

      Author's profile photo Zeshan Shafqat
      Zeshan Shafqat
      Blog Post Author

      Thank You Brother for reading my blog.